#
# Dummy Makefile used with makegen.
#
# NOTE : The TOP variable must be set to reflect the top of the
# src tree (either relative or absolute)
#

SHELL=/bin/sh

TOP=.
TARGETS= all install clean dbsetup

$(TARGETS) :: 
	@if test ! -d lib 	;\
	then			\
		echo ;\
		echo "You have not made the target directory!"; \
		echo "Please read the INSTALL file"; \
		echo ;\
		exit 1;\
	fi

$(TARGETS) :: Makefile.full
	@$(MAKE) -f Makefile.full $@

Makefile.full :: $(TOP)/site.mm Makefile.tmpl
	@$(TOP)/makegen/makegen $(TOP)

